.product-photos {
  --product-photos-height: auto;
  display: grid;
  grid-gap: var(--spacing-md);
  grid-template-columns: minmax(auto, 1fr);
}

.product-photos__thumbs {
  display: none;
}

.product-photos__thumbs .swiper-wrapper {
  height: var(--product-photos-height);
}

.product-photos__thumbs .swiper-slide {
  height: 60px;
  width: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border: 2px solid transparent;
  border-radius: var(--radius-xs);
  overflow: hidden;
}

.product-photos__thumbs .swiper-slide:hover {
  border-color: var(--color-primary-light);
}

.product-photos__thumbs .swiper-slide-thumb-active {
  border-color: var(--color-primary);
}

.product-photos__thumbs .swiper-slide--product-media-thumbnail {
  font: var(--typography-label-small);
  text-transform: uppercase;
  font-weight: bold;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.product-photos__thumbs .swiper-slide--product-media-thumbnail span:first-of-type {
  background: url('../../../icons/111111/architecture_FILL0_wght400_GRAD0_opsz48.svg');
  background-size: 32px;
  display: block;
  width: 32px;
  height: 32px;
}

.product-photos__main {
  overflow: hidden;
}

.product-photos__main .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--color-surface);
  width: 100%;
  height: var(--product-photos-height);
}

.product-photos__main .swiper-pagination {
  background: var(--color-white-o-50);
  padding: var(--spacing-xs);
  border-radius: var(--radius-xs);
  backdrop-filter: blur(4px);
  width: auto;
  display: inline-block;
  left: 50%;
  transform: translateX(-50%);
  font: var(--typography-body-small);
  user-select: none;
  pointer-events: none;
}

@media (min-width: 768px) {
  .product-photos {
    grid-template-columns: 280px;
    --product-photos-height: 280px;
  }
}

@media (min-width: 1024px) {
  .product-photos {
    grid-template-columns: 40px 300px;
    --product-photos-height: 300px;
  }

  .product-photos__thumbs {
    display: block;
  }
}

@media (min-width: 1440px) {
  .product-photos {
    grid-template-columns: 60px 500px;
    --product-photos-height: 500px;
  }
}
